Name:		ario	
Version:	1.1	
Release:	8%{?dist}
Summary:	Ario MPD Client
Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://ario-player.sourceforge.net/index.php
Source0:	http://downloads.sourceforge.net/ario-player/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libcurl-devel
BuildRequires: avahi-glib-devel	
BuildRequires: libsoup-devel
BuildRequires: dbus-glib-devel
BuildRequires: libgnomeui-devel
BuildRequires: gettext
BuildRequires: perl(XML::Parser)
BuildRequires: desktop-file-utils

%description
Ario is a GTK2 client for MPD (Music player daemon). The interface used to 
browse the library is inspired by Rhythmbox but Ario aims to be much lighter 
and faster.  It runs on Linux and Microsoft Windows

%prep
%setup -q -c ario
sed -i -e 's|ario\.png|ario|' data/ario.desktop.in.in

%build
%configure --enable-static=no
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang Ario 
rm `find %{buildroot} -name "*.la"`
#sed s/ario.png/ario/ < %{buildroot}/%{_datadir}/applications/ario.desktop \
#	> %{buildroot}/%{_datadir}/applications/ario.desktop.new
#rm %{buildroot}/%{_datadir}/applications/ario.desktop
#mv %{buildroot}/%{_datadir}/applications/ario.desktop.new \
#	%{buildroot}/%{_datadir}/applications/ario.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/ario.desktop


%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f Ario.lang
%defattr(-,root,root,-)
%doc ChangeLog TODO AUTHORS COPYING
%{_bindir}/ario
%{_libdir}/ario
%{_datadir}/applications/ario.desktop
%{_datadir}/ario
%{_datadir}/icons/hicolor/*/apps/ario.*

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 <johnhford.gmail@com> - 1.1-6
- Bumped release because I forgot to import specfile before
- running make tag

* Sun Nov 09 2008 <johnhford@gmail.com> - 1.1-5
- Removed gettext-devel from BuildRequires
- Removed gettext from Requires
- Modified sed routine on desktop files
- Removed .la libtool files
- Clean up of code

* Sat Nov 08 2008 johnhford@gmail.com - 1.1-4
- Corrected issue as per Mamoru Tasaka recomendations
-  *license tag correction
-  *Removed redundant BuildRequires and Requires
-  *Corrected perl dependancies
-  *Timestamp preservation
-  *Using find_lang macro now
-  *No static libraries
-  *Removed unneeded documents
-  *Fixed desktop file

*Thu Oct 10 2008 John Ford <johnhford@gmail.com> 1.1-3
- Ran mock build, added two build requirements

*Sun Sep 28 2008 John Ford <johnhford@gmail.com> 1.1-2
- Inserted %%post and %%postun for gtk-update-icon-cache

*Sun Sep 28 2008 John Ford <johnhford@gmail.com> 1.1-1
- Initial specfile written


